Closed Bug 349031 Opened 14 years ago Closed 14 years ago

Update EULAs with approved legalese from MoFo

Categories

(Calendar :: Sunbird Only, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED
Sunbird 0.3

People

(Reporter: mattwillis, Assigned: mattwillis)

Details

(Keywords: polish, Whiteboard: [patch in hand])

Attachments

(1 file, 1 obsolete file)

We need to update Sunbird's EULA with the approved text from MoFo.
I've asked Frank Hecker (whom I've been corresponding about this via email) to provide it. Once we have it, we need to put it in at least two places: 
 - the Windows installer (/m/cal/EULA.txt)
 - the Mac dmg (/m/other-licenses/branding/sunbird/license.r)
Nominating for blocking per email with Frank.
Status: NEW → ASSIGNED
Flags: blocking0.3?
This updates the EULA text used in the Windows NSIS installer, as well as the Mac .dmg on mount (to be switched on in bug 349032)

Note that the Mac license.r files are (correctly) in MacRoman, which means Bugzilla will display them all funky-like. If you can set your browser to MacRoman, you may be able to see the smart quotes and ellipsis.

There are two copies of the license.r so that one can be branded generically (like Firefox/BonEcho/Minefield does). However, I'm not doing that at this time.
Attachment #234319 - Flags: second-review?(jminta)
Attachment #234319 - Flags: first-review?(cmtalbert)
Whiteboard: [patch in hand]
Flags: blocking0.3? → blocking0.3+
Email trail with Frank Hecker, so future people know what's up.


---------- Forwarded message ----------
From: Frank Hecker <hecker@mozillafoundation.org>
Date: Aug 17, 2006 7:06 PM
Subject: Re: Moving forward on Sunbird trademark registration
To: Matthew Willis <mattwillis@gmail.com>


[D'oh. Forgot the attachment.]

Matthew Willis wrote:
> If you could provide the EULA at this point, it would be great. I'm
> touching the installer stuff at the moment anyway and now's a good
> time to get it in.

Attached is a text version of the proposed EULA. Feel free to convert it
into HTML or whatever the appropriate format it. Please don't change the
capitalization; I'm trying to match the exact format of the Firefox EULA at

http://www.mozilla.com/legal/eula/firefox-en.html

Frank

--
Frank Hecker
hecker@mozillafoundation.org



MOZILLA FOUNDATION

MOZILLA SUNBIRD END-USER SOFTWARE LICENSE AGREEMENT

Version 1.1

A SOURCE CODE VERSION OF CERTAIN SUNBIRD CALENDAR FUNCTIONALITY THAT
YOU MAY USE, MODIFY AND DISTRIBUTE IS AVAILABLE TO YOU FREE-OF-CHARGE
FROM WWW.MOZILLA.ORG UNDER THE MOZILLA PUBLIC LICENSE and other open
source software licenses.

The accompanying executable code version of Mozilla Sunbird and
related documentation (the "Product") is made available to you under
the terms of this MOZILLA SUNBIRD END-USER SOFTWARE LICENSE AGREEMENT
(THE "AGREEMENT"). BY CLICKING THE "ACCEPT" BUTTON, OR BY INSTALLING
OR USING THE MOZILLA SUNBIRD CALENDAR, YOU ARE CONSENTING TO BE BOUND
BY THE AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS OF
THIS AGREEMENT, DO NOT CLICK THE "ACCEPT" BUTTON, AND DO NOT INSTALL
OR USE ANY PART OF THE MOZILLA SUNBIRD CALENDAR.

DURING THE MOZILLA SUNBIRD INSTALLATION PROCESS, AND AT LATER TIMES,
YOU MAY BE GIVEN THE OPTION OF INSTALLING ADDITIONAL COMPONENTS FROM
THIRD-PARTY SOFTWARE PROVIDERS. THE INSTALLATION AND USE OF THOSE
THIRD-PARTY COMPONENTS MAY BE GOVERNED BY ADDITIONAL LICENSE
AGREEMENTS.

1. LICENSE GRANT. The Mozilla Foundation grants you a non-exclusive
license to use the executable code version of the Product. This
Agreement will also govern any software upgrades provided by Mozilla
that replace and/or supplement the original Product, unless such
upgrades are accompanied by a separate license, in which case the
terms of that license will govern.

2. TERMINATION. If you breach this Agreement your right to use the
Product will terminate immediately and without notice, but all
provisions of this Agreement except the License Grant (Paragraph 1)
will survive termination and continue in effect. Upon termination, you
must destroy all copies of the Product.

3. PROPRIETARY RIGHTS. Portions of the Product are available in source
code form under the terms of the Mozilla Public License and other open
source licenses (collectively, "Open Source Licenses") at
http://www.mozilla.org. Nothing in this Agreement will be construed to
limit any rights granted under the Open Source Licenses. Subject to
the foregoing, Mozilla, for itself and on behalf of its licensors,
hereby reserves all intellectual property rights in the Product,
except for the rights expressly granted in this Agreement. You may not
remove or alter any trademark, logo, copyright or other proprietary
notice in or on the Product. This license does not grant you any right
to use the trademarks, service marks or logos of Mozilla or its
licensors.

4. DISCLAIMER OF WARRANTY. THE PRODUCT IS PROVIDED "AS IS" WITH ALL
FAULTS. TO THE EXTENT PERMITTED BY LAW, MOZILLA AND MOZILLA'S
DISTRIBUTORS, LICENSORS HEREBY DISCLAIM ALL WARRANTIES, WHETHER
EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION WARRANTIES THAT THE
PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE
AND NON-INFRINGING. YOU BEAR ENTIRE RISK AS TO SELECTING THE PRODUCT
FOR YOUR PURPOSES AND AS TO THE QUALITY AND PERFORMANCE OF THE
PRODUCT. THIS LIMITATION WILL APPLY NOTWITHSTANDING THE FAILURE OF
ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE
EXCLUSION OR LIMITATION OF IMPLIED WARRANTIES, SO THIS DISCLAIMER MAY
NOT APPLY TO YOU.

5. LIMITATION OF LIABILITY. EXCEPT AS REQUIRED BY LAW, MOZILLA AND ITS
DISTRIBUTORS, DIRECTORS, LICENSORS, CONTRIBUTORS AND AGENTS
(COLLECTIVELY, THE "MOZILLA GROUP") WILL NOT BE LIABLE FOR ANY
INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL OR EXEMPLARY DAMAGES
ARISING OUT OF OR IN ANY WAY RELATING TO THIS AGREEMENT OR THE USE OF
OR INABILITY TO USE THE PRODUCT, INCLUDING WITHOUT LIMITATION DAMAGES
FOR LOSS OF GOODWILL, WORK STOPPAGE, LOST PROFITS, LOSS OF DATA, AND
COMPUTER FAILURE OR MALFUNCTION, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGES AND REGARDLESS OF THE THEORY (CONTRACT, TORT OR
OTHERWISE) UPON WHICH SUCH CLAIM IS BASED. THE MOZILLA GROUP'S
COLLECTIVE LIABILITY UNDER THIS AGREEMENT WILL NOT EXCEED THE GREATER
OF $500 (FIVE HUNDRED DOLLARS) AND THE FEES PAID BY YOU UNDER THIS
LICENSE (IF ANY). SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR
LIMITATION OF INCIDENTAL, CONSEQUENTIAL OR SPECIAL DAMAGES, SO THIS
EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.

6. EXPORT CONTROLS. This license is subject to all applicable export
restrictions. You must comply with all export and import laws and
restrictions and regulations of any United States or foreign agency or
authority relating to the Product and its use.

7. U.S. GOVERNMENT END-USERS. The Product is a "commercial item," as
that term is defined in 48 C.F.R. 2.101, consisting of "commercial
computer software" and "commercial computer software documentation,"
as such terms are used in 48 C.F.R. 12.212 (Sept. 1995) and 48
C.F.R. 227.7202 (June 1995). Consistent with 48 C.F.R. 12.212, 48
C.F.R. 27.405(b)(2) (June 1998) and 48 C.F.R. 227.7202, all
U.S. Government End Users acquire the Product with only those rights
as set forth herein.

8. MISCELLANEOUS. (a) This Agreement constitutes the entire agreement
between Mozilla and you concerning the subject matter hereof, and it
may only be modified by a written amendment signed by an authorized
executive of Mozilla. (b) Except to the extent applicable law, if any,
provides otherwise, this Agreement will be governed by the laws of the
state of California, U.S.A., excluding its conflict of law
provisions. (c) This Agreement will not be governed by the United
Nations Convention on Contracts for the International Sale of
Goods. (d) If any part of this Agreement is held invalid or
unenforceable, that part will be construed to reflect the parties'
original intent, and the remaining portions will remain in full force
and effect. (e) A waiver by either party of any term or condition of
this Agreement or any breach thereof, in any one instance, will not
waive such term or condition or any subsequent breach thereof. (f)
Except as required by law, the controlling language of this Agreement
is English. (g) You may assign your rights under this Agreement to any
party that consents to, and agrees to be bound by, its terms; the
Mozilla Foundation may assign its rights under this Agreement without
condition. (h) This Agreement will be binding upon and will inure to
the benefit of the parties, their successors and permitted assigns.



---------- Forwarded message ----------
From: Matthew Willis <mattwillis@gmail.com>
Date: Aug 17, 2006 7:18 PM
Subject: Re: Moving forward on Sunbird trademark registration
To: Frank Hecker <hecker@mozillafoundation.org>


Thanks!
Do we need a different EULA for when the Sunbird branding is not used?
Similar to how Firefox has a EULA and Minefield (Firefox 3) has a
different EULA.

-lilmatt



---------- Forwarded message ----------
From: Frank Hecker <hecker@mozillafoundation.org>
Date: Aug 17, 2006 7:58 PM
Subject: Re: Moving forward on Sunbird trademark registration
To: Matthew Willis <mattwillis@gmail.com>


Matthew Willis wrote:
> Do we need a different EULA for when the Sunbird branding is not used?
> Similar to how Firefox has a EULA and Minefield (Firefox 3) has a
> different EULA.

Good question. Could you point me to the Firefox 3 EULA, so I can see
what's different?





---------- Forwarded message ----------
From: Matthew Willis <mattwillis@gmail.com>
Date: Aug 17, 2006 8:22 PM
Subject: Re: Moving forward on Sunbird trademark registration
To: Frank Hecker <hecker@mozillafoundation.org>


It looks as if they overwrote the Minefield-specific EULA for Windows
today, but they haven't gotten to the Mac one yet.

Here's the Mac one showing the codename stuff (starting around line 43):

Firefox 2 (Bon Echo):
http://lxr.mozilla.org/mozilla1.8/source/browser/app/macbuild/license.r

Firefox 3 (Minefield):
http://lxr.mozilla.org/mozilla/source/browser/app/macbuild/license.r



---------- Forwarded message ----------
From: Frank Hecker <hecker@mozillafoundation.org>
Date: Aug 17, 2006 8:39 PM
Subject: Re: Moving forward on Sunbird trademark registration
To: Matthew Willis <mattwillis@gmail.com>


Matthew Willis wrote:
> It looks as if they overwrote the Minefield-specific EULA for Windows
> today, but they haven't gotten to the Mac one yet.
>
> Here's the Mac one showing the codename stuff (starting around line 43):
<snip>

Thanks for the references. It appears as if these EULA are simply the
standard Firefox EULA with "Mozilla Firefox" and "Firefox" replaced by
"Minefield" and "Bon Echo". You can certainly do the same for Sunbird,
assuming that you have an actual codename to substitute.

(If you do this, make sure you do the substitutions properly, so you
don't end up with something like "Mozilla Foo" where "Foo is the codename.)

Frank




---------- Forwarded message ----------
From: Matthew Willis <mattwillis@gmail.com>
Date: Aug 17, 2006 8:48 PM
Subject: Re: Moving forward on Sunbird trademark registration
To: Frank Hecker <hecker@mozillafoundation.org>


If there's no real legal need to use a different EULA, I'm inclined
_not_ to, if only because we don't need to keep _more_ copies of a
EULA in sync...

We'll ship the Sunbird one for now if that's okay.




---------- Forwarded message ----------
From: Frank Hecker <hecker@mozillafoundation.org>
Date: Aug 18, 2006 7:09 AM
Subject: Re: Moving forward on Sunbird trademark registration
To: Matthew Willis <mattwillis@gmail.com>


Matthew Willis wrote:
> If there's no real legal need to use a different EULA, I'm inclined
> _not_ to, if only because we don't need to keep _more_ copies of a
> EULA in sync...
>
> We'll ship the Sunbird one for now if that's okay.

That's fine, as long as you're shipping under the Sunbird name and not a
code name.

Frank




---------- Forwarded message ----------
From: Matthew Willis <mattwillis@gmail.com>
Date: Aug 18, 2006 7:35 AM
Subject: Re: Moving forward on Sunbird trademark registration
To: Frank Hecker <hecker@mozillafoundation.org>


On 8/18/06, Frank Hecker <hecker@mozillafoundation.org> wrote:
> Matthew Willis wrote:
> > If there's no real legal need to use a different EULA, I'm inclined
> > _not_ to, if only because we don't need to keep _more_ copies of a
> > EULA in sync...
> >
> > We'll ship the Sunbird one for now if that's okay.
>
> That's fine, as long as you're shipping under the Sunbird name and not a
> code name.

Current nightlies are labeled "Calendar" to differentiate them from
the official release which will be labeled "Sunbird".

So should the nightlies use a EULA with "Mozilla Sunbird" replaced
with "Calendar"?

-lilmatt




---------- Forwarded message ----------
From: Frank Hecker <hecker@mozillafoundation.org>
Date: Aug 18, 2006 10:53 AM
Subject: Re: Moving forward on Sunbird trademark registration
To: Matthew Willis <mattwillis@gmail.com>


Matthew Willis wrote:
> Current nightlies are labeled "Calendar" to differentiate them from
> the official release which will be labeled "Sunbird".
>
> So should the nightlies use a EULA with "Mozilla Sunbird" replaced
> with "Calendar"?

Yes, I think so. However the substitution needs to be done carefully to
avoid references to "Calendar calendar" and the like. Attached is a new
version of the previous file I sent you with the necessary changes.

Frank

--
Frank Hecker
hecker@mozillafoundation.org


MOZILLA FOUNDATION

CALENDAR END-USER SOFTWARE LICENSE AGREEMENT

Version 1.1

A SOURCE CODE VERSION OF CERTAIN CALENDAR FUNCTIONALITY THAT
YOU MAY USE, MODIFY AND DISTRIBUTE IS AVAILABLE TO YOU FREE-OF-CHARGE
FROM WWW.MOZILLA.ORG UNDER THE MOZILLA PUBLIC LICENSE and other open
source software licenses.

The accompanying executable code version of Calendar software and
related documentation (the "Product") is made available to you under
the terms of this CALENDAR END-USER SOFTWARE LICENSE AGREEMENT
(THE "AGREEMENT"). BY CLICKING THE "ACCEPT" BUTTON, OR BY INSTALLING
OR USING THE CALENDAR SOFTWARE, YOU ARE CONSENTING TO BE BOUND
BY THE AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS OF
THIS AGREEMENT, DO NOT CLICK THE "ACCEPT" BUTTON, AND DO NOT INSTALL
OR USE ANY PART OF THE CALENDAR SOFTWARE.

DURING THE CALENDAR INSTALLATION PROCESS, AND AT LATER TIMES,
YOU MAY BE GIVEN THE OPTION OF INSTALLING ADDITIONAL COMPONENTS FROM
THIRD-PARTY SOFTWARE PROVIDERS. THE INSTALLATION AND USE OF THOSE
THIRD-PARTY COMPONENTS MAY BE GOVERNED BY ADDITIONAL LICENSE
AGREEMENTS.

1. LICENSE GRANT. The Mozilla Foundation grants you a non-exclusive
license to use the executable code version of the Product. This
Agreement will also govern any software upgrades provided by Mozilla
that replace and/or supplement the original Product, unless such
upgrades are accompanied by a separate license, in which case the
terms of that license will govern.

2. TERMINATION. If you breach this Agreement your right to use the
Product will terminate immediately and without notice, but all
provisions of this Agreement except the License Grant (Paragraph 1)
will survive termination and continue in effect. Upon termination, you
must destroy all copies of the Product.

3. PROPRIETARY RIGHTS. Portions of the Product are available in source
code form under the terms of the Mozilla Public License and other open
source licenses (collectively, "Open Source Licenses") at
http://www.mozilla.org. Nothing in this Agreement will be construed to
limit any rights granted under the Open Source Licenses. Subject to
the foregoing, Mozilla, for itself and on behalf of its licensors,
hereby reserves all intellectual property rights in the Product,
except for the rights expressly granted in this Agreement. You may not
remove or alter any trademark, logo, copyright or other proprietary
notice in or on the Product. This license does not grant you any right
to use the trademarks, service marks or logos of Mozilla or its
licensors.

4. DISCLAIMER OF WARRANTY. THE PRODUCT IS PROVIDED "AS IS" WITH ALL
FAULTS. TO THE EXTENT PERMITTED BY LAW, MOZILLA AND MOZILLA'S
DISTRIBUTORS, LICENSORS HEREBY DISCLAIM ALL WARRANTIES, WHETHER
EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION WARRANTIES THAT THE
PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE
AND NON-INFRINGING. YOU BEAR ENTIRE RISK AS TO SELECTING THE PRODUCT
FOR YOUR PURPOSES AND AS TO THE QUALITY AND PERFORMANCE OF THE
PRODUCT. THIS LIMITATION WILL APPLY NOTWITHSTANDING THE FAILURE OF
ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE
EXCLUSION OR LIMITATION OF IMPLIED WARRANTIES, SO THIS DISCLAIMER MAY
NOT APPLY TO YOU.

5. LIMITATION OF LIABILITY. EXCEPT AS REQUIRED BY LAW, MOZILLA AND ITS
DISTRIBUTORS, DIRECTORS, LICENSORS, CONTRIBUTORS AND AGENTS
(COLLECTIVELY, THE "MOZILLA GROUP") WILL NOT BE LIABLE FOR ANY
INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL OR EXEMPLARY DAMAGES
ARISING OUT OF OR IN ANY WAY RELATING TO THIS AGREEMENT OR THE USE OF
OR INABILITY TO USE THE PRODUCT, INCLUDING WITHOUT LIMITATION DAMAGES
FOR LOSS OF GOODWILL, WORK STOPPAGE, LOST PROFITS, LOSS OF DATA, AND
COMPUTER FAILURE OR MALFUNCTION, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGES AND REGARDLESS OF THE THEORY (CONTRACT, TORT OR
OTHERWISE) UPON WHICH SUCH CLAIM IS BASED. THE MOZILLA GROUP'S
COLLECTIVE LIABILITY UNDER THIS AGREEMENT WILL NOT EXCEED THE GREATER
OF $500 (FIVE HUNDRED DOLLARS) AND THE FEES PAID BY YOU UNDER THIS
LICENSE (IF ANY). SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR
LIMITATION OF INCIDENTAL, CONSEQUENTIAL OR SPECIAL DAMAGES, SO THIS
EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.

6. EXPORT CONTROLS. This license is subject to all applicable export
restrictions. You must comply with all export and import laws and
restrictions and regulations of any United States or foreign agency or
authority relating to the Product and its use.

7. U.S. GOVERNMENT END-USERS. The Product is a "commercial item," as
that term is defined in 48 C.F.R. 2.101, consisting of "commercial
computer software" and "commercial computer software documentation,"
as such terms are used in 48 C.F.R. 12.212 (Sept. 1995) and 48
C.F.R. 227.7202 (June 1995). Consistent with 48 C.F.R. 12.212, 48
C.F.R. 27.405(b)(2) (June 1998) and 48 C.F.R. 227.7202, all
U.S. Government End Users acquire the Product with only those rights
as set forth herein.

8. MISCELLANEOUS. (a) This Agreement constitutes the entire agreement
between Mozilla and you concerning the subject matter hereof, and it
may only be modified by a written amendment signed by an authorized
executive of Mozilla. (b) Except to the extent applicable law, if any,
provides otherwise, this Agreement will be governed by the laws of the
state of California, U.S.A., excluding its conflict of law
provisions. (c) This Agreement will not be governed by the United
Nations Convention on Contracts for the International Sale of
Goods. (d) If any part of this Agreement is held invalid or
unenforceable, that part will be construed to reflect the parties'
original intent, and the remaining portions will remain in full force
and effect. (e) A waiver by either party of any term or condition of
this Agreement or any breach thereof, in any one instance, will not
waive such term or condition or any subsequent breach thereof. (f)
Except as required by law, the controlling language of this Agreement
is English. (g) You may assign your rights under this Agreement to any
party that consents to, and agrees to be bound by, its terms; the
Mozilla Foundation may assign its rights under this Agreement without
condition. (h) This Agreement will be binding upon and will inure to
the benefit of the parties, their successors and permitted assigns.
Comment on attachment 234319 [details] [diff] [review]
rev0 - Uses new approved EULA text from hecker

New patch forthcoming per Frank Hecker. Obsoleting this one.
Attachment #234319 - Attachment is obsolete: true
Attachment #234319 - Flags: second-review?(jminta)
Attachment #234319 - Flags: first-review?(cmtalbert)
Attachment #234415 - Flags: second-review?(jminta)
Attachment #234415 - Flags: first-review?(cmtalbert)
(In reply to comment #5)
> Created an attachment (id=234415) [edit]
> Updates EULAs per Frank Hecker

So we _do_ need to use a different EULA for Calendar.app vs. Sunbird.app.

This patch changes the EULA text and takes care of having official vs. unofficial EULAs. 

Note that the Mac EULA won't be switched on until bug 349032 lands.
Attachment #234415 - Flags: first-review?(cmtalbert) → first-review+
Comment on attachment 234415 [details] [diff] [review]
Updates EULAs per Frank Hecker

This should really be an mvl review since it's a lot of makefile.
Attachment #234415 - Flags: second-review?(jminta) → second-review?(mvl)
Comment on attachment 234415 [details] [diff] [review]
Updates EULAs per Frank Hecker


>Index: calendar/installer/windows/Makefile.in
> ifndef MOZ_USE_OFFICIAL_BRANDING
>+	cp $(srcdir)/EULA.txt  $(DIST)/branding/license.txt

Why copy the EULA when you are not using official branding?

>Index: calendar/installer/windows/EULA.txt
>Index: other-licenses/branding/sunbird/EULA.txt

Maybe I am blind, but I don't see the difference between those two files. Is there any?

(other then that, i don't really want to review this patch. Politics, (US) laws and everything is not something I want to bother with).
Attachment #234415 - Flags: second-review?(mvl)
(In reply to comment #8)
> >+	cp $(srcdir)/EULA.txt  $(DIST)/branding/license.txt
> Why copy the EULA when you are not using official branding?
Because the EULA for unofficial is different than official per MoFo.

> >Index: calendar/installer/windows/EULA.txt
> >Index: other-licenses/branding/sunbird/EULA.txt
> Maybe I am blind, but I don't see the difference between those two files. Is
> there any?
Yes. One refers to "Sunbird" and the other to "Calendar".

> (other then that, i don't really want to review this patch. Politics, (US) laws
> and everything is not something I want to bother with). 
Over to dmose.
Attachment #234415 - Flags: second-review?(dmose)
(In reply to comment #9)
> > >Index: calendar/installer/windows/EULA.txt
> > >Index: other-licenses/branding/sunbird/EULA.txt
> > Maybe I am blind, but I don't see the difference between those two files. Is
> > there any?
> Yes. One refers to "Sunbird" and the other to "Calendar".

But one is in other-licenses (so i guess, for official branding), the other is in the normal source dir (so, for generic branding). But the eula is still the same (except for a name), no matter which branding you use?
(In reply to comment #10)
> But the eula is still the same (except for a name), no matter which branding you use?
No. This is why I moved "license.txt" from a straight copy command to being in BRANDING_FILES. By doing so, the appropraite EULA gets put in dist/branding depending on if --enable-official-branding is set or not. Then whichever one ends up in dist/branding is packaged with the app. (It's similar for the Mac "license.r" file.)

Comment on attachment 234415 [details] [diff] [review]
Updates EULAs per Frank Hecker

r=dmose with the file in-tree named license.txt just like it's named in the distribution for the sake of clarity.
Attachment #234415 - Flags: second-review?(dmose) → second-review+
Patch with nits checked in on branch and trunk.

-> FIXED
Status: ASSIGNED → RESOLVED
Closed: 14 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.